Bug 139194 - Letter 'ö' needs hinting.
Letter 'ö' needs hinting.
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-11-13 17:07 EST by Alexander Boström
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-15 17:05:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of problem without subpixel rendering, (71.66 KB, image/png)
2004-11-13 17:08 EST, Alexander Boström
no flags Details
Screenshot of problem with subpixel rendering enabled. (72.42 KB, image/png)
2004-11-13 17:09 EST, Alexander Boström
no flags Details

  None (edit)
Description Alexander Boström 2004-11-13 17:07:26 EST
Description of problem:
The letter 'ö' in Luxi Sans Typewriter at size 6 needs improved
hinting. It should look like an 'o', except for the dots, but instead
the right side of the ring is too thick.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC3 and update.
2. Create test account and log in.
3. Go to http://www.alexander.bostrom.net/ouml.html
4. Try again with subpixel rendering enabled.
Actual results:
With and without subpixel rendering, the right side of the ring is
thicker than the left side.

Expected results:
The left and right side of the ring should be equally thick and also
be equal to an 'o'.
Comment 1 Alexander Boström 2004-11-13 17:08:51 EST
Created attachment 106651 [details]
Screenshot of problem without subpixel rendering,
Comment 2 Alexander Boström 2004-11-13 17:09:28 EST
Created attachment 106652 [details]
Screenshot of problem with subpixel rendering enabled.
Comment 3 Owen Taylor 2004-11-15 14:10:00 EST
There is no such font as Luxi Sans Typewriter

'Lucida Typewriter' is a bitmap font as we ship it. (B&H may
have released a scalable version; is's reasonably close to
the Lucida Console shipped with Windows.)

'Luxi Mono 'is the scalable font. But it's serifed, so not
the font you are looking at.

So, I don't know what font is in your screenshot, and thus
can't do anything with this bug report. It *might* be
Luxi Sans - your screenshot doesn't look monospace. But
I'm not sure.

Also, can you attach non-scaled images? (Maybe a crop of
small portion. The scaled images make telling anything about
the font hinting basically impossible
Comment 4 Alexander Boström 2004-11-15 16:26:52 EST
The screenshots aren't scaled, but yes, full screenshots are overkill.
I actually did reproduce the effect in a couple of word processors,
but that was a bad idea as well...

But anyway, it was both a typo (wrote Luxi, meant Lucida Sans
Typewriter) and not a pure FC3 installation. Sorry!

The font I'm actually looking at is "Lucida Sans Typewriter" from
java-1.5.0-sun-1.5.0-2jpp.nosrc.rpm. It's easy to reproduce the
problem at sizes 9 to 14, if you're interested.
Comment 5 Owen Taylor 2004-11-15 17:05:47 EST
If the screenshots aren't scaled, then you have a lot more serious
display problems then a bit of mishinting on the ö..

I don't really think there is anything I can do on this issue
with a font that doesn't come with FC3.
Comment 6 Owen Taylor 2004-11-15 17:51:09 EST
Ah, just switched to firefox recentlly, and didn't realize it tended
to scale images down without any visible indication other than
extreme ugliness.

Note You need to log in before you can comment on or make changes to this bug.